#
# = sample.lingrvant.rb
#
# This is a sample program that demonstrates how to use lingrvant.rb
#
require 'lingrvant'

class Welcome < Lingrvant::Plugin
  def on_system_enter(room, mes)
    room.say "Welcome, #{mes['nickname']}"
  end

  def on_system_leave(room, mes)
    room.say "See you, #{mes['nickname']}"
  end

  def on_occupant(room, mes)
    room.say "Don't be shy.  C'mon, join us."
  end

  def on_idle(room, mes)
    room.say "Boring..."
  end
end

class Echo < Lingrvant::Plugin
  def on_user(room, mes)
    if mes['text'].match(/^!echo(p)? (.+)$/)
      oid = mes['occupant_id'] if $1
      room.say "#{mes['nickname']}: #{$2}", oid
    end
  end

  alias :on_private :on_user
end

params = {
  :apikey => '0123456789abcdef0123456789abcdef',
  :email => 'servant@example.com',
  :password => 'fubar',
  :botname => 'samplevant',
  :rooms => {
    'lingresident' => {},
    'secretroom' => {:password => 'secret', :nickname => 'elpmas' }
  }
}

bot = Lingrvant::Bot.new params
bot.logger.level = Logger::DEBUG
bot.work
